import path from 'path';


const srcDir = path.resolve('./src');


export default {
  entry: path.join(srcDir, 'index.js'),
  module: {
    rules: [
      {
        include: [
          path.join(__dirname, 'demo'),
          srcDir,
        ],
        loader: 'babel-loader',
        test: /.jsx?$/,
      },
    ],
  },
  output: {
    filename: 'index.js',
    library: 'react-components',
    libraryTarget: 'umd',
    path: path.join(__dirname, 'dist'),
  },
  resolve: {
    extensions: ['.js', '.jsx'],
  },
};
